function particles_shockwave(sprite)
    local p = love.graphics.newParticleSystem(sprite,1)
    p:setEmissionRate(100)
    p:setLifetime(0.05)
    p:setParticleLife(0.1,0.1)
    p:setDirection(0)
    p:setSpread(0)
    p:setSpeed(-4.761902, 4.761902)
    p:setGravity(0.000000,-14.285706)
    p:setRadialAcceleration(0,0)
    p:setTangentialAcceleration(0,0)
    p:setSize(0.5, 3.0)
    p:setSizeVariation(0.5)
    p:setSpin(-36, 36)
    p:setSpinVariation(0.325397)
    p:setColor(255,255,255,255,255,255,255,0)
    return p
end

function particles_smoke(sprite)
    local p = love.graphics.newParticleSystem(sprite,70)
    p:setEmissionRate(10)
    p:setLifetime(5)
    p:setParticleLife(0.15,3.5)
    p:setDirection(0.0)
    p:setSpread(6.283185)
    p:setSpeed(-20, 20)
    p:setGravity(0,0)
    p:setRadialAcceleration(-20,20)
    p:setTangentialAcceleration(-20,20)
    p:setSize(0.3, 3.0)
    p:setSizeVariation(0.3)
    p:setSpin(-10, 10)
    p:setSpinVariation(0.3)
    p:setColor(90,90,90,128,55,55,55,0)
    return p
end

function particles_explosion(sprite)
    local p = love.graphics.newParticleSystem(sprite,100)
    p:setEmissionRate(200)
    p:setLifetime(0.134228)
    p:setParticleLife(0.2,0.5)
    p:setDirection(0)
    p:setSpread(6.283185)
    p:setSpeed(50, 100)
    p:setGravity(0,0)
    p:setRadialAcceleration(-50,-100)
    p:setTangentialAcceleration(0,0)
    p:setSize(2.0, 0)
    p:setSizeVariation(1)
    p:setSpin(-30, 35)
    p:setSpinVariation(1)
    p:setColor(192,95,20,255,75,0,0,0)
    return p
end

function particles_debris(sprite)
	p = love.graphics.newParticleSystem(particles.sprites[9],69)
	p:setEmissionRate(33)
	p:setLifetime(0.6)
	p:setParticleLife(0.8,2.0)
	p:setDirection(0)
	p:setSpread(6.283185)
	p:setSpeed(66.666664, 100.000000)
	p:setGravity(0,0)
	p:setRadialAcceleration(-242.857147,185.714279)
	p:setTangentialAcceleration(0,0)
	p:setSize(0.915179, 0.031250)
	p:setSizeVariation(0.293651)
	p:setSpin(7.936508, 0.000000)
	p:setSpinVariation(1.000000)
	p:setColor(127,127,127,255,80,80,80,0)
	return p
end
