sprites = {}
quads = {}

function pBackground(x, y, r, g, b, a)
    r=64
    g=64
    b=128
    a = 255
    if (math.fmod(x,32) == 0) then
        r=r+32
        g=g+32
        b=b+32
    end
    if (math.fmod(y,32) == 0) then
        r=r+32
        g=g+32
        b=b+32
    end
    return r,g,b,a
end

function pCrate(x, y, r, g, b, a)
	r = 128
	g = 128
	b = 128
	a = 255
	if x == 0 or x == 32 or y == 0 or y == 32 then
		r = 0
		g = 0
		b = 0
	end
	return r,g,b,a
end

function pShockwave(x, y, r, g, b, a)
    local er = 32 -- external radius
    local cr = (x-er)^2+(y-er)^2 -- current radius
    r,g,b,a = 255,255,255,0
    if cr <= er^2 then
        a = 127*(cr/er^2)
    end
    return r,g,b,a
end

function pExplosion(x, y, r, g, b, a)
    local er = 16
    local cr = (x-er)^2+(y-er)^2
    r,g,b,a = 255,255,255,0
    if cr <= er^2 then
        a = 255-255*(cr/er^2)
    end
    return r,g,b,a
end

function pBomb(x, y, r, g, b, a)
    local er = 16
    local cr = (x-er)^2+(y-er)^2
    r,g,b,a = 255,255,255,0
	if (x == er) or (y == er) then r,g,b = 0,0,0 end
    if cr <= er^2 then
        a = 255-255*(cr/er^2)
    end
    return r,g,b,a
end

local idata = love.image.newImageData(64, 64)
idata:mapPixel(pBackground)
sprites.background = love.graphics.newImage(idata)
sprites.background:setWrap("repeat", "repeat")
quads.background = love.graphics.newQuad(0,0,love.graphics.getWidth(),love.graphics.getHeight(),64,64)

idata = love.image.newImageData(64, 64)
idata:mapPixel(pShockwave)
sprites.shockwave = love.graphics.newImage(idata)

idata = love.image.newImageData(32, 32)
idata:mapPixel(pExplosion)
sprites.explosion = love.graphics.newImage(idata)

idata = love.image.newImageData(32, 32)
idata:mapPixel(pBomb)
sprites.bomb = love.graphics.newImage(idata)

idata = love.image.newImageData(32, 32)
idata:mapPixel(pCrate)
sprites.crate = love.graphics.newImage(idata)

idata = nil
